Subject: bug#63825: 29.0.90; The header line should be hidden when empty

From: Eshel Yaron <[email-masked]>
Date: Thu, 01 Jun 2023 19:45:39 +0300

Eli Zaretskii <[email-masked]> writes:

> header-line-format supports :eval and :when, so why cannot
> which-function-mode use those to yield nil when there's nothing to
> show?

I thought so as well, but it seems that the header line is displayed
even when the value of `header-line-format` yields nil, if it isn't
plain nil.

So this shows an empty header line:

--8<---------------cut here---------------start------------->8---
(setq-default header-line-format '(:eval nil))
--8<---------------cut here---------------end--------------->8---

(In Emacs master with -Q.)